In-app
List Placements
Your workspace’s in-app placements with their counts
GET
/
api
/
v1
/
in-app
/
placements
List Placements
curl --request GET \
--url https://api.sequenzy.com/api/v1/in-app/placements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/in-app/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/in-app/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sequenzy.com/api/v1/in-app/placements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sequenzy.com/api/v1/in-app/placements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sequenzy.com/api/v1/in-app/placements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sequenzy.com/api/v1/in-app/placements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"placements": [
{
"key": "home_hero",
"name": "Home hero",
"description": "Top of the home screen",
"width": 360,
"height": 160,
"createdAt": "2026-11-07T10:00:00.000Z",
"updatedAt": "2026-11-07T10:00:00.000Z",
"stats": {
"placement": "home_hero",
"created": 1240,
"live": 980,
"displayed": 1012,
"clicked": 187,
"dismissed": 160
}
}
]
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: sequences:read"
}
Lists your workspace’s placements, sorted by name. Each comes with all-time counts for the in-app items that targeted it:
created items, and the contacts with a live item (not dismissed and not expired) or who displayed, clicked or dismissed their item. Displayed, clicked and dismissed depend on your app reporting events; the SDK placement views do this for you. Requires the sequences:read scope.
curl "https://api.sequenzy.com/api/v1/in-app/placements" \
--header "Authorization: Bearer $SEQUENZY_API_KEY"
{
"success": true,
"placements": [
{
"key": "home_hero",
"name": "Home hero",
"description": "Top of the home screen",
"width": 360,
"height": 160,
"createdAt": "2026-11-07T10:00:00.000Z",
"updatedAt": "2026-11-07T10:00:00.000Z",
"stats": {
"placement": "home_hero",
"created": 1240,
"live": 980,
"displayed": 1012,
"clicked": 187,
"dismissed": 160
}
}
]
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: sequences:read"
}
⌘I
List Placements
curl --request GET \
--url https://api.sequenzy.com/api/v1/in-app/placements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/in-app/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/in-app/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sequenzy.com/api/v1/in-app/placements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sequenzy.com/api/v1/in-app/placements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sequenzy.com/api/v1/in-app/placements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sequenzy.com/api/v1/in-app/placements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"placements": [
{
"key": "home_hero",
"name": "Home hero",
"description": "Top of the home screen",
"width": 360,
"height": 160,
"createdAt": "2026-11-07T10:00:00.000Z",
"updatedAt": "2026-11-07T10:00:00.000Z",
"stats": {
"placement": "home_hero",
"created": 1240,
"live": 980,
"displayed": 1012,
"clicked": 187,
"dismissed": 160
}
}
]
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: sequences:read"
}